\newpage

\subsection{Service 17: Test}

\begin{description}
	\item[Objective]\hfill\\
	
	This service provides the capability to activate simple end-to-end test functionalities which are implemented on-board and to report the results.
	\item[Service Summary]\hfill\\
	
	\begin{table}[h]
		\centering
		\begin{tabular}{p{0.1\textwidth}p{0.2\textwidth}p{0.6\textwidth}}
			\toprule
			\textbf{TM/TC} & \textbf{Service-Type, Service Subtype} & \textbf{Description}\\
			\midrule
			\rowcolor{TcHeader!20}TC & 17,1 & Perform an are-you-alive connection test\\
			\rowcolor{TmHeader!20}TM & 17,2 & Are-you-alive connection test report\\
			\bottomrule
		\end{tabular}
		\caption{Service 17 Summary}
	\end{table}
	
\end{description}


% ------------------------------------------------------------------------------
% TC 17,1
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{17,1} & \textbf{Perform an are-you-alive connection test}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	The use of this TC provides the capability to check whether or not a process is alive. For an successful result an answer of type TM(17,2) has to be received.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 17 \\
		
		Service Subtype & 1 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 17,2
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{17,2} & \textbf{Are-you-alive connection test report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM is an answer to ground generated on TC(17,1) by the addressed process. It indicates that the addressed process is alive.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 17 \\
		
		Service Subtype & 2 \\
		&\\
		Source Data & The source data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TM does not include any parameters.
\end{description}

\vfill
